"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class StudyPhase(object):
    """
    N/A: Trials without phases (for example, studies of devices or
    behavioural interventions). Early Phase 1 (Formerly listed as
    "Phase 0"): Exploratory trials, involving very limited human
    exposure, with no therapeutic or diagnostic intent (e.g.,
    screening studies, microdose studies). See FDA guidance on
    exploratory IND studies for more information. Phase 1: Includes
    initial studies to determine the metabolism and pharmacologic
    actions of drugs in humans, the side effects associated with
    increasing doses, and to gain early evidence of effectiveness; may
    include healthy participants and/or patients. Phase 1/Phase 2:
    Trials that are a combination of phases 1 and 2. Phase 2: Includes
    controlled clinical studies conducted to evaluate the
    effectiveness of the drug for a particular indication or
    indications in participants with the disease or condition under
    study and to determine the common short-term side effects and
    risks. Phase 2/Phase 3: Trials that are a combination of phases 2
    and 3. Phase 3: Includes trials conducted after preliminary
    evidence suggesting effectiveness of the drug has been obtained,
    and are intended to gather additional information to evaluate the
    overall benefit-risk relationship of the drug. Phase 4: Studies of
    FDA-approved drugs to delineate additional information including
    the drug's risks, benefits, and optimal use.
    """

    na = "na"
    early_phase1 = "early_phase1"
    phase1 = "phase1"
    phase1_phase2 = "phase1_phase2"
    phase2 = "phase2"
    phase2_phase3 = "phase2_phase3"
    phase3 = "phase3"
    phase4 = "phase4"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.8.0"
